// GET has no body parameters
import com.mangopay.MangoPayApi;
import com.mangopay.core.Pagination;
import com.mangopay.entities.IdentityVerification;
import java.util.List;
public class GetIdentityVerificationsByUser {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
String userId = "user_m_01KMD8QZHCVY2VPYV020RDBZGA";
// optional Pagination
Pagination pagination = new Pagination(1, 10);
List<IdentityVerification> result = mangopay.getIdentityVerificationApi().getAll(userId, pagination);
}
}
const mangopayInstance = require('mangopay4-nodejs-sdk');
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
});
const userId = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA';
const getIdentityVerificationsByUser = async (userId) => {
return await mangopay.IdentityVerifications.getAll(userId)
.then((response) => {
console.info(response);
return response;
})
.catch((err) => {
console.log(err);
return false;
});
};
getIdentityVerificationsByUser(userId);
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def get_identity_verifications_by_user(user_id)
begin
response = MangoPay::IdentityVerification.get_all(user_id)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to get IdentityVerifications by user: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
user_id = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA'
get_identity_verifications_by_user(user_id)
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import IdentityVerification
user_id = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA'
result = IdentityVerification.get_all(user_id)
<?php
require_once 'vendor/autoload.php';
use MangoPay\Libraries\Exception as MGPException;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\MangoPayApi;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$userId = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA';
$response = $api->IdentityVerifications->GetAll($userId);
print_r($response);
} catch (MGPResponseException $e) {
print_r($e);
} catch (MGPException $e) {
print_r($e);
}
using System.Threading.Tasks;
using MangoPay.SDK;
class GetIdentityVerificationsByUser
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01KMD8QZHCVY2VPYV020RDBZGA";
var result = await api.IdentityVerifications.GetAllAsync(userId);
}
}
[
{
"Id": "idnver_01JTG8BTG92TTRP5VSNV35ZYGM",
"Status": "PENDING",
"CreationDate": 1746449121,
"LastUpdate": null
},
{
"Id": "idnver_01JTGAXGJRVNCD9K4CEM311M4Z",
"Status": "REFUSED",
"CreationDate": 1746449852,
"LastUpdate": 1746449945
}
]
IDV sessions
List IDV Sessions for a User
Retrieve key details of all hosted KYC/KYC sessions attempted for a user
GET
/
v2.01
/
{ClientId}
/
users
/
{UserId}
/
identity-verifications
// GET has no body parameters
import com.mangopay.MangoPayApi;
import com.mangopay.core.Pagination;
import com.mangopay.entities.IdentityVerification;
import java.util.List;
public class GetIdentityVerificationsByUser {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
String userId = "user_m_01KMD8QZHCVY2VPYV020RDBZGA";
// optional Pagination
Pagination pagination = new Pagination(1, 10);
List<IdentityVerification> result = mangopay.getIdentityVerificationApi().getAll(userId, pagination);
}
}
const mangopayInstance = require('mangopay4-nodejs-sdk');
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
});
const userId = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA';
const getIdentityVerificationsByUser = async (userId) => {
return await mangopay.IdentityVerifications.getAll(userId)
.then((response) => {
console.info(response);
return response;
})
.catch((err) => {
console.log(err);
return false;
});
};
getIdentityVerificationsByUser(userId);
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def get_identity_verifications_by_user(user_id)
begin
response = MangoPay::IdentityVerification.get_all(user_id)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to get IdentityVerifications by user: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
user_id = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA'
get_identity_verifications_by_user(user_id)
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import IdentityVerification
user_id = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA'
result = IdentityVerification.get_all(user_id)
<?php
require_once 'vendor/autoload.php';
use MangoPay\Libraries\Exception as MGPException;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\MangoPayApi;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$userId = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA';
$response = $api->IdentityVerifications->GetAll($userId);
print_r($response);
} catch (MGPResponseException $e) {
print_r($e);
} catch (MGPException $e) {
print_r($e);
}
using System.Threading.Tasks;
using MangoPay.SDK;
class GetIdentityVerificationsByUser
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01KMD8QZHCVY2VPYV020RDBZGA";
var result = await api.IdentityVerifications.GetAllAsync(userId);
}
}
[
{
"Id": "idnver_01JTG8BTG92TTRP5VSNV35ZYGM",
"Status": "PENDING",
"CreationDate": 1746449121,
"LastUpdate": null
},
{
"Id": "idnver_01JTGAXGJRVNCD9K4CEM311M4Z",
"Status": "REFUSED",
"CreationDate": 1746449852,
"LastUpdate": 1746449945
}
]
Path parameters
string
required
The unique identifier of the user.
Responses
200
200
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
The status of the overall IDV Session:
PENDING– The uniqueHostedUrlfor the session has not yet been submitted by the user. This temporary state can transition toVALIDATED,REFUSED,REVIEW, orEXPIRED.REVIEW– One or more automated checks was neither successful nor refused, so the session was sent for manual review by Mangopay’s teams. This temporary state is only applicable to Legal users and can transition toREFUSEDorVALIDATED.VALIDATED– - The session was validated and the User became KYC/KYB verified (indicated by the User object’sKYCLevel). When theStatuschanges toVALIDATED, the verified data inChecks.Datais used to replace existing data in the User object.REFUSED– The session was refused and the User is not KYC/KYB verified. TheChecks.CheckStatusshows which checks wereREFUSEDand theChecks.Reasonsshows the refused reason types and comment (which is custom text in the case of manual review for Legal users).EXPIRED– The session was not submitted within 7 days of theCreationDateand no longer can be. Note however that theHostedUrllink remains accessible.OUT_OF_DATE– The session is not valid because the user’s KYC/KYB verification status was downgraded by Mangopay.
Unix timestamp
The date and time at which the object was created.
Unix timestamp
The date and time at which the session was last updated.
[
{
"Id": "idnver_01JTG8BTG92TTRP5VSNV35ZYGM",
"Status": "PENDING",
"CreationDate": 1746449121,
"LastUpdate": null
},
{
"Id": "idnver_01JTGAXGJRVNCD9K4CEM311M4Z",
"Status": "REFUSED",
"CreationDate": 1746449852,
"LastUpdate": 1746449945
}
]
// GET has no body parameters
import com.mangopay.MangoPayApi;
import com.mangopay.core.Pagination;
import com.mangopay.entities.IdentityVerification;
import java.util.List;
public class GetIdentityVerificationsByUser {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
String userId = "user_m_01KMD8QZHCVY2VPYV020RDBZGA";
// optional Pagination
Pagination pagination = new Pagination(1, 10);
List<IdentityVerification> result = mangopay.getIdentityVerificationApi().getAll(userId, pagination);
}
}
const mangopayInstance = require('mangopay4-nodejs-sdk');
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
});
const userId = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA';
const getIdentityVerificationsByUser = async (userId) => {
return await mangopay.IdentityVerifications.getAll(userId)
.then((response) => {
console.info(response);
return response;
})
.catch((err) => {
console.log(err);
return false;
});
};
getIdentityVerificationsByUser(userId);
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def get_identity_verifications_by_user(user_id)
begin
response = MangoPay::IdentityVerification.get_all(user_id)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to get IdentityVerifications by user: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
user_id = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA'
get_identity_verifications_by_user(user_id)
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import IdentityVerification
user_id = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA'
result = IdentityVerification.get_all(user_id)
<?php
require_once 'vendor/autoload.php';
use MangoPay\Libraries\Exception as MGPException;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\MangoPayApi;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$userId = 'user_m_01KMD8QZHCVY2VPYV020RDBZGA';
$response = $api->IdentityVerifications->GetAll($userId);
print_r($response);
} catch (MGPResponseException $e) {
print_r($e);
} catch (MGPException $e) {
print_r($e);
}
using System.Threading.Tasks;
using MangoPay.SDK;
class GetIdentityVerificationsByUser
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01KMD8QZHCVY2VPYV020RDBZGA";
var result = await api.IdentityVerifications.GetAllAsync(userId);
}
}
Was this page helpful?
⌘I